Need IT Support For Your Calgary Business? Call: 403.457.1478

Bash SecurityCould Potentially Be More Dangerous Than the Infamous Heartbleed!

A major vulnerability, CVE-2014-6271, has been spreading rapidly and impacting a wide range of businesses. CVE-2014-6271, also known as “shellshock,” impacts “bash” software, which is used in most business computers. According to some researchers, shellshock could potentially be more dangerous than heartbleed, the open/SSL bug that had most business owners in a state of panic about their security a few months ago!

So how does the shellshock vulnerability work? Well, the vulnerability allows attackers to inject their own malicious code into bash, a command line interface that connects users to Unix-based systems. Once the attacker injects malicious code into bash, they’re able to:

  • Access sensitive information.
  • Steal business data.
  • Execute code to slow performance.

While bash was written over 30 years ago, it’s transformed into one of the most widely used utilities in the business environment. In fact, OS X, Linux, Windows, and Android often run bash. In addition, web servers commonly run bash as well; which means the vulnerability puts a lot of businesses at risk.

Chances Are, Most of Your Systems Are Running Bash – Don’t Forget to Apply the Latest Security Patches & Bug Fixes on All of Your Workstations!

When it comes to vulnerabilities like shellshock, it’s fundamental to ensure you’re applying the latest security patches and bug fixes on all of your workstations; otherwise, you’re open to malware and viruses infecting your network. Aside from applying the latest security patches and bug fixes, what can be done to stay protected? Here’s a few ideas:

  • Download legitimate anti-virus software and keep the software up-to-date, then make sure you’re scanning for viruses on a regular basis.
  • Install a reliable firewall and make sure it’s configured properly to block unauthorized or dangerous traffic.
  • Adjust your browser’s security settings to increase its ability to combat intrusions effectively.

According to Robert Graham, a Security Researcher, “While the known systems, like your web server, are patched, unknown systems remain unpatched. We saw that with the heartbleed bug, six months later, hundreds of thousands of systems remain vulnerable.”

He continued, “These systems are rarely things like web servers, but are more often things like Internet-enabled cameras. Internet-of-things devices, like video cameras, are especially vulnerable because a lot of their software is built from web-enabled bash scripts.”

Feeling concerned about shellshock? To learn more, or to schedule a no-obligation security assessment, give us a call at (403) 457--1478 or send us an email at info@ctechgroup.net. CTECH Consulting Group is here to help you minimize the risk of an attack or infection.

Engage With CTECH Today

CTECH Consulting Group Inc.
Suite 200, 638 11th Ave SW
Calgary, AB Canada T2R 0E2

Phone: (403) 457--1478
Fax: (403) 410-3854
24 Hour Support: 1 (855) 621--7981